@use 'variable' as *;

.plan {
  padding: 80px 0 150px;

  &__header {
    max-width: 555px;
    margin: 0 auto 60px;
    text-align: center;
  }

  &__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0 50px;
  }

  &__item {
    border: 2px solid #dddddd;
    box-sizing: border-box;
    border-radius: 10px;
    padding: 80px 50px 50px;

    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__item:hover,
  &__item--active {
    border: 2px solid #f53838;
  }

  &__image img {
    margin: 0 auto 30px;
  }

  &__title {
    margin: 0 auto 30px;
    font-size: $font-size--large;
    font-weight: 500;
  }

  &__info-container {
    display: flex;
    margin: 0 auto 50px;
    flex-direction: column;
    gap: 10px 0px;
    // min-height: 191px;
  }

  &__pricing {
    margin: 0 auto 30px;
    font-size: $font-size--extra-large;
    font-weight: 500;
    margin-top: auto;
  }

  &__info {
    display: flex;
    gap: 0 20px;
    align-items: center;
    font-size: 14px;
    line-height: calc(30 / 14);
  }

  &-map__container {
    background: linear-gradient(
      180deg,
      #f8f8f8 -45.04%,
      rgba(248, 248, 248, 0) 88.56%
    );
  }
}

@media screen and (max-width: 1023px) {
  .plan {
    padding: 50px 0;
  }

  .plan__list {
    display: grid;
    justify-content: flex-start;

    grid-template-columns: unset; // ko xác định có bao nhiêu cột trong grid
    grid-auto-flow: column; // khi grid ko xác định có bao nhiêu cột trong nó, thì thuộc tính này sẽ tự đặt các grid item theo flow column
    grid-auto-columns: 310px; // set column width cho mỗi grid item
    grid-gap: 0 30px;

    overflow: auto;
    overflow-y: hidden;

    scroll-snap-type: x mandatory;
    scroll-snap-stop: always;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-overflow-scrolling: touch;
    scroll-padding: 1rem;

    margin-bottom: 50px;
  }

  .plan__list::-webkit-scrollbar {
    display: none;
    width: 0;
  }
  .plan__list > * {
    scroll-snap-align: start;
  }
}
